﻿using Newtonsoft.Json;
using System;
using System.Web;

namespace down2.db
{
    public partial class d_create : System.Web.UI.Page
    {
        protected void Page_Load(object sender, EventArgs e)
        {
            string uid = Request.QueryString["uid"];
            string cbk = Request.QueryString["callback"];//应用于jsonp数据
            string file = Request.QueryString["file"];
            file = file.Replace("+", "%20");
            file = HttpUtility.UrlDecode(file);

            if (string.IsNullOrEmpty(uid))
            {
                Response.Write(cbk+"({\"value\":null})");
                Response.End();
                return;
            }
            var fileLoc = JsonConvert.DeserializeObject<DnFileInf>(file);

            DnFile db = new DnFile();
            db.Add(ref fileLoc);

            string json = JsonConvert.SerializeObject(fileLoc);
            json = HttpUtility.UrlEncode(json);
            json = json.Replace("+", "%20");
            json = cbk + "({\"value\":\""+json+"\"})";//返回jsonp格式数据。
            Response.Write(json);
        }
    }
}